STRUCT RIO_DBELL(9)

NAME
struct rio_dbell - RIO doorbell event

SYNOPSIS
struct rio_dbell {
  struct list_head node;
  struct resource * res;
  void (* dinb) (struct rio_mport *mport, void *dev_id, u16 src, u16 dst, u16 info);
  void * dev_id;
};

MEMBERS

node
    Node in list of doorbell events

res Doorbell resource

dinb
    Doorbell event callback

dev_id
    Device specific pointer to pass on event

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.